import React from "react";

const Tooltip = ({ prop }) => {
    const { id } = prop;

    return (
        <div id={`tooltip-${id}`}>
            <strong>实体ID:</strong> {prop.id}
            <br />
            <strong>图层名称:</strong> {prop.layerName}
            <br />
            <strong>实体类型:</strong> {prop.typeName}
            <br />
            <strong>实体颜色:</strong> <font color={prop.color}>{prop.color}</font>
        </div>
    );
};

export default Tooltip;
